<!DOCTYPE html>
<html>

<head>
    <title>WebSite</title>
    <link rel="stylesheet" href="bootstrap.css">
</head>

<body class="d-flex h-100 text-center text-white bg-dark">
    <div class="cover-container d-flex w-100 p-3 mx-auto flex-column">
        <header class="mb-auto">
            <div>
                <h3 class="float-md-left mb-0">WebSite</h3>
                <nav class="nav nav-masthead justify-content-center float-md-right">
                    <a href="/home" class="nav-link">Home</a>
                    <a href="#" class="nav-link active" aria-current="page">Message</a>
                    <% if(user.admin == true) { %>
                    <a href="/new_grade" class="nav-link">New grade</a>
                    <% } %>
                    <a href="/grades" class="nav-link">Grades</a>
                    <% if(user.admin == true) { %>
                    <a href="/admin" class="nav-link">Admin</a>
                    <% } %>
                    <a href="/logout" class="nav-link">Logout</a>
                </nav>
            </div>
        </header>
        <main class="px-3">
            <% if(!view) { %> 
                <% if(error != "") { %>
                <div class="alert alert-danger col-md-6 offset-md-3">
                    <strong>Error!</strong> <%= error %>
                </div>
                <% } %>
                <form class="col-md-6 offset-md-3" action="/message" method="POST">
                    <label for="username">Username:</label>
                    <select class="form-control" name="username" id="username">
                        <option>Select user</option>
                        <% for(var i = 0; i < users.length; i++) { %>
                        <option><%= users[i].username %></option>
                        <% } %>
                    </select>
                    <div class="form-group">
                        <label for="message">Message:</label>
                        <textarea class="form-control" rows="5" id="message" name="message"></textarea>
                    </div>
                    <div>
                        <button type="submit" class="btn btn-outline-light text-gray">Submit</button>
                    </div>
                </form>
                <table class="table table-dark table-striped">
                    <thead>
                        <tr>
                            <th>From</th>
                            <th>To</th>
                            <th>View</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <form></form>
                        </tr>
                        <% for(var i = messages.length - 1; i >= 0; i--) {%>
                        <tr>
                            <td><%= messages[i].from %> </td>
                            <td><%= messages[i].to %></td>
                            <form action="/view_message" method="POST">
                                <td><button type="submit" class="btn btn-info" name="message" value="<%= messages[i]._id %>">View</button></td>
                            </form>
                            <% if(messages[i].seen == false && user.username == messages[i].to) { %>
                                <td><span class="badge badge-secondary">New</span></td>
                            <% } %> 
                        </tr>
                        <% } %>
                    </tbody>
                </table>
            <% } %>
            <% if(view) { %>
                <div class="jumbotron text-center bg-dark">
                    <h1>Message</h1>
                    <p>From: <%= messages[0].from %>  To: <%= messages[0].to %> </p>
                </div>
                <div>
                    <p><%= messages[0].message %></p>
                </div>
                <div>
                    <form action="/message" method="GET">
                        <button type="submit" class="btn btn-outline-light text-gray">Back</button>
                    </form>
                </div>
            <% } %>  
        </main>
    </div>

</body>

</html>